## org.eclipse.emf.spi.cdo
Interface InternalCDOObject

All Superinterfaces:
  CDOObject, CDOPackageTypeRegistry.CDOObjectMarker, org.eclipse.emf.ecore.EObject, InternalCDOLoadable, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  org.eclipse.emf.internal.cdo.CDOObjectImpl, CDOResourceFolderImpl, CDOResourceImpl, CDOResourceNodeImpl

    public interface InternalCDOObject

extends CDOObject, org.eclipse.emf.ecore.InternalEObject, InternalCDOLoadable, CDOPackageTypeRegistry.CDOObjectMarker

Since:
  2.0

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` `cdoInternalCleanup()`
`org.eclipse.emf.ecore.EStructuralFeature` `cdoInternalDynamicFeature(int dynamicFeatureID)`
`org.eclipse.emf.ecore.InternalEObject` `cdoInternalInstance()`
`void` `cdoInternalPostAttach()`
`void` `cdoInternalPostDetach(boolean remote)`
`void` `cdoInternalPostInvalidate()`
`void` `cdoInternalPreCommit()`
`void` `cdoInternalSetID(CDOID id)`
`void` `cdoInternalSetRevision(CDORevision revision)`
`CDOState` `cdoInternalSetState(CDOState state)`
`void` `cdoInternalSetView(CDOView view)`
`InternalCDORevision` `cdoRevision()` Returns the `revision` of this object, or `null` if this object does currently not have a revision.
`InternalCDOView` `cdoView()` Returns the `view` this object is associated with, or `null` if this object is not associated with a view.

Methods inherited from interface org.eclipse.emf.cdo.CDOObject
`cdoConflict, cdoDirectResource, cdoID, cdoInvalid, cdoReadLock, cdoReload, cdoResource, cdoState, cdoWriteLock`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainerFeatureID, eDerivedStructuralFeatureID, eDirectResource, eGet, eGet, eInternalContainer, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eNotificationRequired, eObjectForURIFragmentSegment, eProxyURI, eResolveProxy, eSet, eSetClass, eSetProxyURI, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.spi.cdo.InternalCDOLoadable
`cdoInternalPostLoad, cdoInternalPreLoad`

Method Detail

### cdoView

    InternalCDOView cdoView()

  Description copied from interface: `CDOObject`
  Returns the `view` this object is associated with, or `null` if this object is not associated with a view. This view manages all aspects of this object and cahces it as long as required.

  Specified by:
    `cdoView` in interface `CDOObject`

### cdoRevision

    InternalCDORevision cdoRevision()

  Description copied from interface: `CDOObject`
  Returns the `revision` of this object, or `null` if this object does currently not have a revision. The revision is used to store all modeled data of this object, together with some technical data required by the framework.

  Specified by:
    `cdoRevision` in interface `CDOObject`

### cdoInternalCleanup

    void cdoInternalCleanup()

### cdoInternalPostAttach

    void cdoInternalPostAttach()

### cdoInternalPostDetach

    void cdoInternalPostDetach(boolean remote)

### cdoInternalPostInvalidate

    void cdoInternalPostInvalidate()

### cdoInternalPreCommit

    void cdoInternalPreCommit()

### cdoInternalSetID

    void cdoInternalSetID(CDOID id)

### cdoInternalSetView

    void cdoInternalSetView(CDOView view)

### cdoInternalSetRevision

    void cdoInternalSetRevision(CDORevision revision)

### cdoInternalSetState

    CDOState cdoInternalSetState(CDOState state)

### cdoInternalInstance

    org.eclipse.emf.ecore.InternalEObject cdoInternalInstance()

### cdoInternalDynamicFeature

    org.eclipse.emf.ecore.EStructuralFeature cdoInternalDynamicFeature(int dynamicFeatureID)

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.